Bug 715251 - [abrt] ibus-1.3.99.20110419-2.fc15: g_variant_type_info_check: Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
[abrt] ibus-1.3.99.20110419-2.fc15: g_variant_type_info_check: Process /usr/b...
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
15
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: fujiwara
Fedora Extras Quality Assurance
abrt_hash:76ef748f11008868031fc81a757...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-06-22 06:49 EDT by Mike Cao
Modified: 2015-11-22 22:34 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-09-28 21:23:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
empathy for fujiwara (281.70 KB, image/png)
2011-06-30 03:04 EDT, fujiwara
no flags Details

  None (edit)
Description Mike Cao 2011-06-22 06:49:39 EDT
abrt version: 2.0.1
architecture:   x86_64
cmdline:        ibus-daemon --xim
component:      ibus
crash_function: g_variant_type_info_check
executable:     /usr/bin/ibus-daemon
kernel:         2.6.38.8-32.fc15.x86_64
os_release:     Fedora release 15 (Lovelock)
package:        ibus-1.3.99.20110419-2.fc15
rating:         4
reason:         Process /usr/bin/ibus-daemon was killed by signal 6 (SIGABRT)
time:           Wed Jun 22 17:29:22 2011
uid:            500
username:       mike

backtrace:
:Missing separate debuginfo for 
:Try: yum --disablerepo='*' --enablerepo='*-debuginfo' install /usr/lib/debug/.build-id/3a/8fe6cb0063d56fc9be76ecd085c05f1b8a76e6
:[New LWP 22781]
:[New LWP 22775]
:[New LWP 22773]
:[Thread debugging using libthread_db enabled]
:Core was generated by `ibus-daemon --xim'.
:Program terminated with signal 6, Aborted.
:#0  0x0000003ff4035285 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:64	  return INLINE_SYSCALL (tgkill, 3, pid, selftid, sig);
:
:Thread 3 (Thread 0x7fcba0cb67c0 (LWP 22773)):
:#0  0x0000003ff40d7343 in __poll (fds=<optimized out>, nfds=<optimized out>, timeout=<optimized out>) at ../sysdeps/unix/sysv/linux/poll.c:87
:        resultvar = <optimized out>
:        oldtype = 0
:        result = <optimized out>
:#1  0x0000003ff3c42d24 in g_main_context_poll (n_fds=3, fds=0x250fd20, priority=<optimized out>, timeout=5000, context=0x24f3e00) at gmain.c:3405
:        poll_func = 0x3ff3c51310 <g_poll>
:#2  g_main_context_iterate (context=0x24f3e00, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3087
:        max_priority = 2147483647
:        timeout = 5000
:        some_ready = <optimized out>
:        nfds = 3
:        allocated_nfds = <optimized out>
:        fds = 0x250fd20
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#3  0x0000003ff3c4360d in g_main_loop_run (loop=0x24f6e90) at gmain.c:3300
:        self = 0x23fa060
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#4  0x0000000000417f6e in bus_server_run () at server.c:137
:        __PRETTY_FUNCTION__ = "bus_server_run"
:#5  0x0000000000406bc8 in main (argc=1, argv=0x7fffe3158ef8) at main.c:291
:        context = <optimized out>
:        error = 0x0
:
:Thread 2 (Thread 0x7fcb9a701700 (LWP 22775)):
:#0  0x0000003ff480dfdd in read () at ../sysdeps/unix/syscall-template.S:82
:No locals.
:#1  0x0000003ff3c4468b in read (__nbytes=20, __buf=0x7fcb9a700db0, __fd=<optimized out>) at /usr/include/bits/unistd.h:45
:No locals.
:#2  child_watch_helper_thread (data=<optimized out>) at gmain.c:4315
:        b = "B", '\000' <repeats 18 times>
:        list = <optimized out>
:#3  0x0000003ff3c683a6 in g_thread_create_proxy (data=0x2510db0) at gthread.c:1955
:        thread = 0x2510db0
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#4  0x0000003ff4807af1 in start_thread (arg=0x7fcb9a701700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7fcb9a701700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1710978316305877337, 140737003227904, 140512446126528, 0, 3, -1717655592984721063, 1711777659965196633}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#5  0x0000003ff40dfc2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:
:Thread 1 (Thread 0x7fcb996ff700 (LWP 22781)):
:#0  0x0000003ff4035285 in raise (sig=6) at ../nptl/sysdeps/unix/sysv/linux/raise.c:64
:        resultvar = 0
:        pid = <optimized out>
:        selftid = <optimized out>
:#1  0x0000003ff4036b9b in abort () at abort.c:93
:        save_stage = 2
:        act = {__sigaction_handler = {sa_handler = 0x7fcb8c00aaa0, sa_sigaction = 0x7fcb8c00aaa0}, sa_mask = {__val = {274672773346, 38867520, 274672792609, 0, 135200, 4096, 131072, 140512204025856, 140512204025856, 140512203942624, 140512204025856, 129, 1, 0, 274672686915, 38867520}}, sa_flags = -205102950, sa_restorer = 0x6a}
:        sigs = {__val = {32, 0 <repeats 15 times>}}
:#2  0x0000003ff3c665bd in g_assertion_message (domain=<optimized out>, file=<optimized out>, line=<optimized out>, func=0x3ff3cf7490 "g_variant_type_info_check", message=0x7fcb8c00aaa0 "assertion failed: (0 <= index && index < 24)") at gtestutils.c:1358
:        lstr = "186\000\313\177\000\000`\352o\231\313\177\000\000\000\000\000\000\000\000\000\000pq\317\363?\000\000"
:        s = 0x7fcb8c00aae0 ""
:#3  0x0000003ff3c66ae2 in g_assertion_message_expr (domain=0x3ff3cadc06 "GLib", file=0x3ff3cf715d "gvarianttypeinfo.c", line=186, func=0x3ff3cf7490 "g_variant_type_info_check", expr=<optimized out>) at gtestutils.c:1369
:        s = <optimized out>
:#4  0x0000003ff3c829b6 in g_variant_type_info_check (info=<optimized out>, container_class=<optimized out>) at gvarianttypeinfo.c:186
:        index = <optimized out>
:        __PRETTY_FUNCTION__ = "g_variant_type_info_check"
:#5  0x0000003ff3c830a0 in g_variant_type_info_unref (info=0x25018a0) at gvarianttypeinfo.c:831
:No locals.
:#6  0x0000003ff3c7c922 in g_variant_unref (value=0x2572750) at gvariant-core.c:625
:No locals.
:#7  0x0000003ff3c316ae in g_hash_table_remove_all_nodes (hash_table=0x24b5400 = {...}, notify=1) at ghash.c:492
:        node = 0x24ff588
:        i = <optimized out>
:#8  0x0000003ff3c31c0d in g_hash_table_unref (hash_table=0x24b5400 = {...}) at ghash.c:852
:        __PRETTY_FUNCTION__ = "g_hash_table_unref"
:#9  0x0000003ffbcab702 in g_dbus_message_finalize (object=0x7fcb8c01e990 [GDBusMessage]) at gdbusmessage.c:123
:        message = 0x7fcb8c01e990 [GDBusMessage]
:#10 0x0000003ff780f6c1 in g_object_unref (_object=0x7fcb8c01e990) at gobject.c:2734
:        object = 0x7fcb8c01e990 [GDBusMessage]
:        old_ref = <optimized out>
:        __PRETTY_FUNCTION__ = "g_object_unref"
:#11 0x000000000040a81d in bus_dbus_impl_connection_filter_cb (dbus_connection=<optimized out>, message=<optimized out>, incoming=<optimized out>, user_data=0x240e820) at dbusimpl.c:1407
:        new_message = 0x7fcb8c01ea30 [GDBusMessage]
:        __PRETTY_FUNCTION__ = "bus_dbus_impl_connection_filter_cb"
:        dbus = 0x240e820 [BusDBusImpl]
:        connection = 0x7fcb8c002d80 [BusConnection]
:#12 0x0000003ffbca17f4 in on_worker_message_about_to_be_sent (worker=<optimized out>, message=0x7fcb8c01e990 [GDBusMessage], user_data=0x7fcb94003040) at gdbusconnection.c:2194
:        connection = 0x7fcb94003040 [GDBusConnection]
:        filters = 0x7fcb8c00b4c0
:        num_filters = 1
:        n = <optimized out>
:        alive = <optimized out>
:#13 0x0000003ffbcb633d in _g_dbus_worker_emit_message_about_to_be_sent (message=0x7fcb8c01e990 [GDBusMessage], worker=0x7fcb94009ed0) at gdbusprivate.c:1348
:        ret = <optimized out>
:#14 maybe_write_next_message (worker=0x7fcb94009ed0) at gdbusprivate.c:1303
:        old_message = 0x7fcb8c01e990 [GDBusMessage]
:        new_blob = <optimized out>
:        new_blob_size = <optimized out>
:        error = <optimized out>
:        data = 0x256dd50
:#15 0x0000003ffbcb644d in write_message_in_idle_cb (user_data=<optimized out>) at gdbusprivate.c:1356
:No locals.
:#16 write_message_in_idle_cb (user_data=<optimized out>) at gdbusprivate.c:1352
:        worker = <optimized out>
:#17 0x0000003ff3c427ed in g_main_dispatch (context=0x7fcb94009b50) at gmain.c:2441
:        dispatch = 0x3ff3c3e750 <g_idle_dispatch>
:        was_in_call = 0
:        user_data = 0x7fcb94009ed0
:        callback = 0x3ffbcb6420 <write_message_in_idle_cb>
:        cb_funcs = 0x3ff3f15c50
:        cb_data = 0x242ff50
:        current_source_link = {data = 0x2503eb0, next = 0x0}
:        need_destroy = <optimized out>
:        source = 0x2503eb0
:        current = 0x7fcb94001aa0
:        i = <optimized out>
:#18 g_main_context_dispatch (context=0x7fcb94009b50) at gmain.c:3014
:No locals.
:#19 0x0000003ff3c42fc8 in g_main_context_iterate (context=0x7fcb94009b50, block=<optimized out>, dispatch=1, self=<optimized out>) at gmain.c:3092
:        max_priority = 2147483647
:        timeout = -1
:        some_ready = 1
:        nfds = 29
:        allocated_nfds = <optimized out>
:        fds = <optimized out>
:        __PRETTY_FUNCTION__ = "g_main_context_iterate"
:#20 0x0000003ff3c4360d in g_main_loop_run (loop=0x7fcb94009b30) at gmain.c:3300
:        self = 0x7fcb94009c40
:        __PRETTY_FUNCTION__ = "g_main_loop_run"
:#21 0x0000003ffbcb4564 in gdbus_shared_thread_func (data=<optimized out>) at gdbusprivate.c:276
:No locals.
:#22 0x0000003ff3c683a6 in g_thread_create_proxy (data=0x7fcb94009c40) at gthread.c:1955
:        thread = 0x7fcb94009c40
:        __PRETTY_FUNCTION__ = "g_thread_create_proxy"
:#23 0x0000003ff4807af1 in start_thread (arg=0x7fcb996ff700) at pthread_create.c:305
:        __res = <optimized out>
:        pd = 0x7fcb996ff700
:        now = <optimized out>
:        unwind_buf = {cancel_jmp_buf = {{jmp_buf = {0, 1710978316305877337, 140512437728688, 140512429341120, 0, 3, -1717648915384317607, 1711777659965196633}, mask_was_saved = 0}}, priv = {pad = {0x0, 0x0, 0x0, 0x0}, data = {prev = 0x0, cleanup = 0x0, canceltype = 0}}}
:        not_first_call = 0
:        pagesize_m1 = <optimized out>
:        sp = <optimized out>
:        freesize = <optimized out>
:#24 0x0000003ff40dfc2d in clone () at ../sysdeps/unix/sysv/linux/x86_64/clone.S:115
:No locals.
:From                To                  Syms Read   Shared Object Library
:0x0000003ffbc294a0  0x0000003ffbcd2b3c  Yes         /lib64/libgio-2.0.so.0.2800.8
:0x0000003ff7809970  0x0000003ff7839dcc  Yes         /lib64/libgobject-2.0.so.0.2800.8
:0x0000003ffb800fe0  0x0000003ffb801f8c  Yes         /lib64/libgmodule-2.0.so.0.2800.8
:0x0000003ff6801560  0x0000003ff6802a2c  Yes         /lib64/libgthread-2.0.so.0.2800.8
:0x0000003ff5402160  0x0000003ff54053ec  Yes         /lib64/librt-2.14.so
:0x0000003ff3c16cd0  0x0000003ff3cadbec  Yes         /lib64/libglib-2.0.so.0.2800.8
:0x000000300100cf30  0x0000003001028acc  Yes         /usr/lib64/libibus-1.0.so.0.0.0
:0x0000003ff4805640  0x0000003ff481038c  Yes         /lib64/libpthread-2.14.so
:0x0000003ff401ece0  0x0000003ff41430ec  Yes         /lib64/libc-2.14.so
:0x0000003ff4400de0  0x0000003ff440191c  Yes         /lib64/libdl-2.14.so
:0x0000003ff6403840  0x0000003ff64134ac  Yes         /lib64/libresolv-2.14.so
:0x0000003ff5801e70  0x0000003ff580e67c  Yes         /lib64/libz.so.1.2.5
:0x0000003ff5c05980  0x0000003ff5c159dc  Yes         /lib64/libselinux.so.1
:0x0000003ff3800b20  0x0000003ff3818c3a  Yes         /lib64/ld-2.14.so
:0x00007fcb9a704170  0x00007fcb9a70b8ac  Yes         /lib64/libnss_files-2.14.so
:$1 = 0x0
:$2 = 0x7fcb8c00ab60 "GLib:ERROR:gvarianttypeinfo.c:186:g_variant_type_info_check: assertion failed: (0 <= index && index < 24)"
:rax            0x0	0
:rbx            0x7fcb8c00aae0	140512203942624
:rcx            0xffffffffffffffff	-1
:rdx            0x6	6
:rsi            0x58fd	22781
:rdi            0x58f5	22773
:rbp            0x3ff3f16400	0x3ff3f16400
:rsp            0x7fcb996fe8e8	0x7fcb996fe8e8
:r8             0x20	32
:r9             0x3ff412f320	274677822240
:r10            0x8	8
:r11            0x206	518
:r12            0x3ff3cf7490	274673398928
:r13            0x7fcb8c00aaa0	140512203942560
:r14            0x1	1
:r15            0x1	1
:rip            0x3ff4035285	0x3ff4035285 <raise+53>
:eflags         0x206	[ PF IF ]
:cs             0x33	51
:ss             0x2b	43
:ds             0x0	0
:es             0x0	0
:fs             0x0	0
:gs             0x0	0
:Dump of assembler code for function raise:
:   0x0000003ff4035250 <+0>:	mov    %fs:0x2d4,%eax
:   0x0000003ff4035258 <+8>:	mov    %fs:0x2d0,%esi
:   0x0000003ff4035260 <+16>:	test   %esi,%esi
:   0x0000003ff4035262 <+18>:	jne    0x3ff4035290 <raise+64>
:   0x0000003ff4035264 <+20>:	mov    $0xba,%eax
:   0x0000003ff4035269 <+25>:	syscall 
:   0x0000003ff403526b <+27>:	mov    %eax,%esi
:   0x0000003ff403526d <+29>:	mov    %eax,%fs:0x2d0
:   0x0000003ff4035275 <+37>:	movslq %edi,%rdx
:   0x0000003ff4035278 <+40>:	movslq %esi,%rsi
:   0x0000003ff403527b <+43>:	movslq %eax,%rdi
:   0x0000003ff403527e <+46>:	mov    $0xea,%eax
:   0x0000003ff4035283 <+51>:	syscall 
:=> 0x0000003ff4035285 <+53>:	cmp    $0xfffffffffffff000,%rax
:   0x0000003ff403528b <+59>:	ja     0x3ff403529f <raise+79>
:   0x0000003ff403528d <+61>:	repz retq 
:   0x0000003ff403528f <+63>:	nop
:   0x0000003ff4035290 <+64>:	test   %eax,%eax
:   0x0000003ff4035292 <+66>:	jg     0x3ff4035275 <raise+37>
:   0x0000003ff4035294 <+68>:	test   $0x7fffffff,%eax
:   0x0000003ff4035299 <+73>:	je     0x3ff40352b0 <raise+96>
:   0x0000003ff403529b <+75>:	neg    %eax
:   0x0000003ff403529d <+77>:	jmp    0x3ff4035275 <raise+37>
:   0x0000003ff403529f <+79>:	mov    0x35cd02(%rip),%rdx        # 0x3ff4391fa8
:   0x0000003ff40352a6 <+86>:	neg    %eax
:   0x0000003ff40352a8 <+88>:	mov    %eax,%fs:(%rdx)
:   0x0000003ff40352ab <+91>:	or     $0xffffffffffffffff,%rax
:   0x0000003ff40352af <+95>:	retq   
:   0x0000003ff40352b0 <+96>:	mov    %esi,%eax
:   0x0000003ff40352b2 <+98>:	jmp    0x3ff4035275 <raise+37>
:End of assembler dump.

dsos:
:/lib64/libdl-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1308564408
:/usr/lib/locale/locale-archive glibc-common-2.14-2.x86_64 (Fedora Project) 1308564400
:/lib64/ld-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1308564408
:/lib64/libgio-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308564617
:/lib64/librt-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1308564408
:/lib64/libresolv-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1308564408
:/lib64/libpthread-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1308564408
:/lib64/libgthread-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308564617
:/lib64/libc-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1308564408
:/usr/lib64/libibus-1.0.so.0.0.0 ibus-libs-1.3.99.20110419-2.fc15.x86_64 (Fedora Project) 1308564838
:/usr/bin/ibus-daemon ibus-1.3.99.20110419-2.fc15.x86_64 (Fedora Project) 1308565879
:/lib64/libglib-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308564617
:/lib64/libselinux.so.1 libselinux-2.0.99-4.fc15.x86_64 (Fedora Project) 1308564614
:/lib64/libgmodule-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308564617
:/lib64/libz.so.1.2.5 zlib-1.2.5-3.fc15.x86_64 (Fedora Project) 1308564409
:/lib64/libnss_files-2.14.so glibc-2.14-2.x86_64 (Fedora Project) 1308564408
:/lib64/libgobject-2.0.so.0.2800.8 glib2-2.28.8-1.fc15.x86_64 (Fedora Project) 1308564617

environ:
:ORBIT_SOCKETDIR=/tmp/orbit-mike
:XDG_SESSION_ID=64
:HOSTNAME=dhcp-8-155.nay.redhat.com
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:GPG_AGENT_INFO=/tmp/keyring-cDHONP/gpg:0:1
:TERM=xterm
:SHELL=/bin/bash
:HISTSIZE=1000
:XDG_SESSION_COOKIE=11c03846d2d8b499ece1901f0000000a-1308733659.706014-2008381467
:IBUS_DATAROOTDIR=/usr/share
:WINDOWID=46137350
:GNOME_KEYRING_CONTROL=/tmp/keyring-cDHONP
:QTDIR=/usr/lib64/qt-3.3
:QTINC=/usr/lib64/qt-3.3/include
:IMSETTINGS_MODULE=none
:USER=mike
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:
:SSH_AUTH_SOCK=/tmp/keyring-cDHONP/ssh
:USERNAME=mike
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/22097,unix/unix:/tmp/.ICE-unix/22097
:PATH=/usr/lib64/qt-3.3/bin:/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/sbin:/home/mike/.local/bin:/home/mike/bin
:MAIL=/var/spool/mail/mike
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=ibu
:PWD=/home/mike/Desktop
:XMODIFIERS=@im=ibus
:GNOME_KEYRING_PID=22089
:LANG=en_US.utf8
:KDE_IS_PRELINKED=1
:GDM_LANG=en_US.utf8
:KDEDIRS=/usr
:IBUS_PREFIX=/usr
:GDMSESSION=gnome
:SSH_ASKPASS=/usr/libexec/openssh/gnome-ssh-askpass
:HISTCONTROL=ignoredups
:HOME=/home/mike
:SHLVL=2
:IBUS_LOCALEDIR=/usr/share/locale
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:LOGNAME=mike
:QTLIB=/usr/lib64/qt-3.3/lib
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-EKKhegnt6Z,guid=8d77b24b0dde98d6f20bc6130002fb4a
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=8
:XDG_RUNTIME_DIR=/run/user/mike
:DISPLAY=:0.0
:GTK_IM_MODULE=ibus
:G_BROKEN_FILENAMES=1
:COLORTERM=gnome-terminal
:XAUTHORITY=/var/run/gdm/auth-for-mike-a1ztE4/database

event_log:
:2011-06-22-17:30:22> Analyzing crash data
:2011-06-22-17:30:36  Analyzing crash data
:2011-06-22-17:30:48  Analyzing crash data
:2011-06-22-17:31:00  Analyzing crash data
:2011-06-22-17:31:11  Analyzing crash data
:2011-06-22-17:31:47  Initializing virtual root
:2011-06-22-17:31:59  Initializing virtual root
:2011-06-22-17:32:10  Initializing virtual root
:2011-06-22-17:32:22  Initializing virtual root
:2011-06-22-17:32:34  Initializing virtual root
:2011-06-22-17:32:45  Initializing virtual root
:2011-06-22-17:32:57  Initializing virtual root
:2011-06-22-17:33:09  Initializing virtual root
:2011-06-22-17:33:21  Initializing virtual root
:2011-06-22-17:33:32  Initializing virtual root
:2011-06-22-17:33:45  Initializing virtual root
:2011-06-22-17:33:57  Initializing virtual root
:2011-06-22-17:34:09  Initializing virtual root
:2011-06-22-17:34:21  Initializing virtual root
:2011-06-22-17:34:33  Initializing virtual root
:2011-06-22-17:34:45  Initializing virtual root
:2011-06-22-17:34:57  Initializing virtual root
:2011-06-22-17:35:08  Initializing virtual root
:2011-06-22-17:35:20  Initializing virtual root
:2011-06-22-17:35:32  Initializing virtual root
:2011-06-22-17:35:43  Initializing virtual root
:2011-06-22-17:35:56  Initializing virtual root
:2011-06-22-17:36:07  Initializing virtual root
:2011-06-22-17:36:19  Initializing virtual root
:2011-06-22-17:36:31  Initializing virtual root
:2011-06-22-17:36:42  Initializing virtual root
:2011-06-22-17:36:54  Initializing virtual root
:2011-06-22-17:37:06  Initializing virtual root
:2011-06-22-17:37:17  Initializing virtual root
:2011-06-22-17:37:32  Initializing virtual root
:2011-06-22-17:37:44  Initializing virtual root
:2011-06-22-17:37:56  Initializing virtual root
:2011-06-22-17:38:09  Initializing virtual root
:2011-06-22-17:38:20  Initializing virtual root
:2011-06-22-17:38:32  Initializing virtual root
:2011-06-22-17:38:44  Initializing virtual root
:2011-06-22-17:38:55  Initializing virtual root
:2011-06-22-17:39:07  Initializing virtual root
:2011-06-22-17:39:18  Initializing virtual root
:2011-06-22-17:39:30  Initializing virtual root
:2011-06-22-17:39:41  Initializing virtual root
:2011-06-22-17:39:53  Initializing virtual root
:2011-06-22-17:40:04  Initializing virtual root
:2011-06-22-17:40:16  Initializing virtual root
:2011-06-22-17:40:28  Initializing virtual root
:2011-06-22-17:40:39  Initializing virtual root
:2011-06-22-17:40:51  Initializing virtual root
:2011-06-22-17:41:03  Initializing virtual root
:2011-06-22-17:41:14  Initializing virtual root
:2011-06-22-17:41:26  Initializing virtual root
:2011-06-22-17:41:37  Initializing virtual root
:2011-06-22-17:41:49  Initializing virtual root
:2011-06-22-17:42:01  Initializing virtual root
:2011-06-22-17:42:13  Generating backtrace
:2011-06-22-17:42:24  Cleaning up virtual root
:2011-06-22-17:42:36  Cleaning up virtual root
:2011-06-22-17:42:47  Saving crash statistics
:2011-06-22-17:42:59  Retrace job finished successfully
:2011-06-22-18:33:42> Empty login or password, please check your configuration
:2011-06-22-18:33:42* (exited with 1)

maps:
:00400000-00428000 r-xp 00000000 08:01 812714                             /usr/bin/ibus-daemon
:00628000-0062b000 rw-p 00028000 08:01 812714                             /usr/bin/ibus-daemon
:023f7000-025fd000 rw-p 00000000 00:00 0                                  [heap]
:3001000000-3001040000 r-xp 00000000 08:01 804181                         /usr/lib64/libibus-1.0.so.0.0.0
:3001040000-3001240000 ---p 00040000 08:01 804181                         /usr/lib64/libibus-1.0.so.0.0.0
:3001240000-3001242000 rw-p 00040000 08:01 804181                         /usr/lib64/libibus-1.0.so.0.0.0
:3001242000-3001243000 rw-p 00000000 00:00 0 
:3ff3800000-3ff381f000 r-xp 00000000 08:01 1716666                        /lib64/ld-2.14.so
:3ff3a1e000-3ff3a1f000 r--p 0001e000 08:01 1716666                        /lib64/ld-2.14.so
:3ff3a1f000-3ff3a20000 rw-p 0001f000 08:01 1716666                        /lib64/ld-2.14.so
:3ff3a20000-3ff3a21000 rw-p 00000000 00:00 0 
:3ff3c00000-3ff3d15000 r-xp 00000000 08:01 1716686                        /lib64/libglib-2.0.so.0.2800.8
:3ff3d15000-3ff3f15000 ---p 00115000 08:01 1716686                        /lib64/libglib-2.0.so.0.2800.8
:3ff3f15000-3ff3f16000 rw-p 00115000 08:01 1716686                        /lib64/libglib-2.0.so.0.2800.8
:3ff3f16000-3ff3f17000 rw-p 00000000 00:00 0 
:3ff4000000-3ff418f000 r-xp 00000000 08:01 1716667                        /lib64/libc-2.14.so
:3ff418f000-3ff438e000 ---p 0018f000 08:01 1716667                        /lib64/libc-2.14.so
:3ff438e000-3ff4392000 r--p 0018e000 08:01 1716667                        /lib64/libc-2.14.so
:3ff4392000-3ff4393000 rw-p 00192000 08:01 1716667                        /lib64/libc-2.14.so
:3ff4393000-3ff4399000 rw-p 00000000 00:00 0 
:3ff4400000-3ff4402000 r-xp 00000000 08:01 1716670                        /lib64/libdl-2.14.so
:3ff4402000-3ff4602000 ---p 00002000 08:01 1716670                        /lib64/libdl-2.14.so
:3ff4602000-3ff4603000 r--p 00002000 08:01 1716670                        /lib64/libdl-2.14.so
:3ff4603000-3ff4604000 rw-p 00003000 08:01 1716670                        /lib64/libdl-2.14.so
:3ff4800000-3ff4816000 r-xp 00000000 08:01 1716668                        /lib64/libpthread-2.14.so
:3ff4816000-3ff4a15000 ---p 00016000 08:01 1716668                        /lib64/libpthread-2.14.so
:3ff4a15000-3ff4a16000 r--p 00015000 08:01 1716668                        /lib64/libpthread-2.14.so
:3ff4a16000-3ff4a17000 rw-p 00016000 08:01 1716668                        /lib64/libpthread-2.14.so
:3ff4a17000-3ff4a1b000 rw-p 00000000 00:00 0 
:3ff5400000-3ff5407000 r-xp 00000000 08:01 1716669                        /lib64/librt-2.14.so
:3ff5407000-3ff5606000 ---p 00007000 08:01 1716669                        /lib64/librt-2.14.so
:3ff5606000-3ff5607000 r--p 00006000 08:01 1716669                        /lib64/librt-2.14.so
:3ff5607000-3ff5608000 rw-p 00007000 08:01 1716669                        /lib64/librt-2.14.so
:3ff5800000-3ff5816000 r-xp 00000000 08:01 1716685                        /lib64/libz.so.1.2.5
:3ff5816000-3ff5a16000 ---p 00016000 08:01 1716685                        /lib64/libz.so.1.2.5
:3ff5a16000-3ff5a17000 rw-p 00016000 08:01 1716685                        /lib64/libz.so.1.2.5
:3ff5c00000-3ff5c1d000 r-xp 00000000 08:01 1716676                        /lib64/libselinux.so.1
:3ff5c1d000-3ff5e1c000 ---p 0001d000 08:01 1716676                        /lib64/libselinux.so.1
:3ff5e1c000-3ff5e1d000 r--p 0001c000 08:01 1716676                        /lib64/libselinux.so.1
:3ff5e1d000-3ff5e1e000 rw-p 0001d000 08:01 1716676                        /lib64/libselinux.so.1
:3ff5e1e000-3ff5e1f000 rw-p 00000000 00:00 0 
:3ff6400000-3ff6417000 r-xp 00000000 08:01 1716675                        /lib64/libresolv-2.14.so
:3ff6417000-3ff6617000 ---p 00017000 08:01 1716675                        /lib64/libresolv-2.14.so
:3ff6617000-3ff6618000 r--p 00017000 08:01 1716675                        /lib64/libresolv-2.14.so
:3ff6618000-3ff6619000 rw-p 00018000 08:01 1716675                        /lib64/libresolv-2.14.so
:3ff6619000-3ff661b000 rw-p 00000000 00:00 0 
:3ff6800000-3ff6804000 r-xp 00000000 08:01 1716687                        /lib64/libgthread-2.0.so.0.2800.8
:3ff6804000-3ff6a03000 ---p 00004000 08:01 1716687                        /lib64/libgthread-2.0.so.0.2800.8
:3ff6a03000-3ff6a04000 rw-p 00003000 08:01 1716687                        /lib64/libgthread-2.0.so.0.2800.8
:3ff7800000-3ff784c000 r-xp 00000000 08:01 1716688                        /lib64/libgobject-2.0.so.0.2800.8
:3ff784c000-3ff7a4b000 ---p 0004c000 08:01 1716688                        /lib64/libgobject-2.0.so.0.2800.8
:3ff7a4b000-3ff7a4d000 rw-p 0004b000 08:01 1716688                        /lib64/libgobject-2.0.so.0.2800.8
:3ff7a4d000-3ff7a4e000 rw-p 00000000 00:00 0 
:3ffb800000-3ffb803000 r-xp 00000000 08:01 1716689                        /lib64/libgmodule-2.0.so.0.2800.8
:3ffb803000-3ffba02000 ---p 00003000 08:01 1716689                        /lib64/libgmodule-2.0.so.0.2800.8
:3ffba02000-3ffba03000 rw-p 00002000 08:01 1716689                        /lib64/libgmodule-2.0.so.0.2800.8
:3ffbc00000-3ffbd21000 r-xp 00000000 08:01 1716691                        /lib64/libgio-2.0.so.0.2800.8
:3ffbd21000-3ffbf20000 ---p 00121000 08:01 1716691                        /lib64/libgio-2.0.so.0.2800.8
:3ffbf20000-3ffbf26000 rw-p 00120000 08:01 1716691                        /lib64/libgio-2.0.so.0.2800.8
:3ffbf26000-3ffbf27000 rw-p 00000000 00:00 0 
:7fcb8c000000-7fcb8c04e000 rw-p 00000000 00:00 0 
:7fcb8c04e000-7fcb90000000 ---p 00000000 00:00 0 
:7fcb927fd000-7fcb927fe000 ---p 00000000 00:00 0 
:7fcb927fe000-7fcb92ffe000 rw-p 00000000 00:00 0 
:7fcb92ffe000-7fcb92fff000 ---p 00000000 00:00 0 
:7fcb92fff000-7fcb937ff000 rw-p 00000000 00:00 0 
:7fcb937ff000-7fcb93800000 ---p 00000000 00:00 0 
:7fcb93800000-7fcb94000000 rw-p 00000000 00:00 0 
:7fcb94000000-7fcb94022000 rw-p 00000000 00:00 0 
:7fcb94022000-7fcb98000000 ---p 00000000 00:00 0 
:7fcb986fe000-7fcb986ff000 ---p 00000000 00:00 0 
:7fcb986ff000-7fcb98eff000 rw-p 00000000 00:00 0 
:7fcb98eff000-7fcb98f00000 ---p 00000000 00:00 0 
:7fcb98f00000-7fcb99700000 rw-p 00000000 00:00 0 
:7fcb99f01000-7fcb99f02000 ---p 00000000 00:00 0 
:7fcb99f02000-7fcb9a702000 rw-p 00000000 00:00 0 
:7fcb9a702000-7fcb9a70e000 r-xp 00000000 08:01 1703966                    /lib64/libnss_files-2.14.so
:7fcb9a70e000-7fcb9a90d000 ---p 0000c000 08:01 1703966                    /lib64/libnss_files-2.14.so
:7fcb9a90d000-7fcb9a90e000 r--p 0000b000 08:01 1703966                    /lib64/libnss_files-2.14.so
:7fcb9a90e000-7fcb9a90f000 rw-p 0000c000 08:01 1703966                    /lib64/libnss_files-2.14.so
:7fcb9a90f000-7fcba0cb6000 r--p 00000000 08:01 787305                     /usr/lib/locale/locale-archive
:7fcba0cb6000-7fcba0cbe000 rw-p 00000000 00:00 0 
:7fcba0cd9000-7fcba0cda000 rw-p 00000000 00:00 0 
:7fffe3139000-7fffe315a000 rw-p 00000000 00:00 0                          [stack]
:7fffe31ff000-7fffe3200000 r-xp 00000000 00:00 0                          [vdso]
:ffffffffff600000-ffffffffff601000 r-xp 00000000 00:00 0                  [vsyscall]
Comment 1 fujiwara 2011-06-24 02:18:38 EDT
Do you still encounter this problem?
I don't see any problems with ibus. Maybe this is not an ibus issue.
Comment 2 Mike Cao 2011-06-24 02:37:53 EDT
(In reply to comment #1)
> Do you still encounter this problem?
> I don't see any problems with ibus. Maybe this is not an ibus issue.

should be ibus issue ,it crashed .
Comment 3 Mike Cao 2011-06-24 02:42:46 EDT
(In reply to comment #1)
> Do you still encounter this problem?
> I don't see any problems with ibus. Maybe this is not an ibus issue.

heppened again ,it mostly happened when I change the imput method to "chinese pinyin"
Comment 4 fujiwara 2011-06-24 02:55:56 EDT
Are you able to reproduce your problem with a new account?
Which GNOME-Shell, Classic GNOME or KDE do you use?
Do you use the latest ibus-pinyin-1.3.99.20110520-1.fc15 ?
Comment 5 Mike Cao 2011-06-24 03:20:59 EDT
(In reply to comment #4)
> Are you able to reproduce your problem with a new account?
I did not understand this ,you need use another user account ?
> Which GNOME-Shell, Classic GNOME or KDE do you use?
Fedora 15 default gnome 
> Do you use the latest ibus-pinyin-1.3.99.20110520-1.fc15 ?
yes ,this is the one hit crash.
Comment 6 fujiwara 2011-06-24 03:35:51 EDT
(In reply to comment #5)
> (In reply to comment #4)
> > Are you able to reproduce your problem with a new account?
> I did not understand this ,you need use another user account ?

Yes, I'd ask to check your problem with another initial user account.
I wonder if you would save the wrong settings of other applications since I cannot reproduce your problem.

> > Which GNOME-Shell, Classic GNOME or KDE do you use?
> Fedora 15 default gnome 

Which gnome-shell or metacity is running on your desktop?
The default GNOME depends on the graphics card to use either GNOME 3 or Classic GNOME.
Comment 7 Mike Cao 2011-06-24 03:59:57 EDT
(In reply to comment #6)
> (In reply to comment #5)
> > (In reply to comment #4)
> > > Are you able to reproduce your problem with a new account?
> > I did not understand this ,you need use another user account ?
> 
> Yes, I'd ask to check your problem with another initial user account.
> I wonder if you would save the wrong settings of other applications since I
> cannot reproduce your problem.
> 
> > > Which GNOME-Shell, Classic GNOME or KDE do you use?
> > Fedora 15 default gnome 
> 
> Which gnome-shell or metacity is running on your desktop?
> The default GNOME depends on the graphics card to use either GNOME 3 or Classic
> GNOME.
etacity-2.34.0-2.fc15.x86_64
GNOME3
Comment 8 fujiwara 2011-06-24 04:50:18 EDT
(In reply to comment #7)
> > Yes, I'd ask to check your problem with another initial user account.
> > I wonder if you would save the wrong settings of other applications since I
> > cannot reproduce your problem.

You didn't answer my question.
It would be needed to understand your problem exactly.
I still wonder your problem is not ibus but maybe the components would not be installed properly or others.

> > > > Which GNOME-Shell, Classic GNOME or KDE do you use?
> > > Fedora 15 default gnome 
> > 
> > Which gnome-shell or metacity is running on your desktop?
> > The default GNOME depends on the graphics card to use either GNOME 3 or Classic
> > GNOME.
> etacity-2.34.0-2.fc15.x86_64
> GNOME3

metacity doesn't run on GNOME 3.
I don't ask the installed rpms but running components.
You could check the process with ps command during your session.
I'm asking which metacity or gnome-shell is running on your desktop.

But I'd thinking the conditions are not enough yet.
If you could not provide the exact information to reproduce your problem, probably it would be hard to fix it.

Thanks.
Comment 9 Mike Cao 2011-06-24 05:24:08 EDT
(In reply to comment #8)
> (In reply to comment #7)
> > > Yes, I'd ask to check your problem with another initial user account.

> 
> metacity doesn't run on GNOME 3.
> I don't ask the installed rpms but running components.
> You could check the process with ps command during your session.
> I'm asking which metacity or gnome-shell is running on your desktop.
> 
> But I'd thinking the conditions are not enough yet.
> If you could not provide the exact information to reproduce your problem,
> probably it would be hard to fix it.
> 
> Thanks.

It runs on gnome3
#ps -eaf|grep gnome-shell
mike     10015  7824  0 17:20 pts/3    00:00:00 grep --color=auto gnome-shell
mike     22291 22097  3 Jun22 ?        01:52:54 /usr/bin/gnome-shell
mike     22394     1  0 Jun22 ?        00:00:00 /usr/libexec/gnome-shell-calendar-server
#rpm -qf /usr/bin/gnome-shell
gnome-shell-3.0.2-1.fc15.x86_64

btw ,this bug was generated by ABRT itself ,I don't know how to reproduce manually .but it really occurs more than 3 times .I will try to change a account to see whether will hit it .
Comment 10 fujiwara 2011-06-24 06:00:29 EDT
(In reply to comment #9)
> It runs on gnome3
> #ps -eaf|grep gnome-shell
> mike     10015  7824  0 17:20 pts/3    00:00:00 grep --color=auto gnome-shell
> mike     22291 22097  3 Jun22 ?        01:52:54 /usr/bin/gnome-shell
> mike     22394     1  0 Jun22 ?        00:00:00
> /usr/libexec/gnome-shell-calendar-server
> #rpm -qf /usr/bin/gnome-shell
> gnome-shell-3.0.2-1.fc15.x86_64

OK, I tried gnome-shell + ibus-pinyin but I don't see any problems.


> btw ,this bug was generated by ABRT itself ,I don't know how to reproduce

I know it but just filing the bug does not give the enough information in this case.
The following is the your first abrt report:

>> (In reply to comment #0)
>>> :#2  0x0000003ff3c665bd in g_assertion_message (domain=<optimized out>,
>>> file=<optimized out>, line=<optimized out>, func=0x3ff3cf7490
>>> "g_variant_type_info_check", message=0x7fcb8c00aaa0 "assertion failed: (0 <=
>>> index && index < 24)") at gtestutils.c:1358

Your problem is caused by the failure of the index but it would not be happened normally.
And the assertion was caused in glib so I need to know whether root cause is glib or ibus.

>>> :#10 0x0000003ff780f6c1 in g_object_unref (_object=0x7fcb8c01e990) at
>>> gobject.c:2734
>>> :        object = 0x7fcb8c01e990 [GDBusMessage]
>>> :        old_ref = <optimized out>
>>> :        __PRETTY_FUNCTION__ = "g_object_unref"
>>> :#11 0x000000000040a81d in bus_dbus_impl_connection_filter_cb
>>> (dbus_connection=<optimized out>, message=<optimized out>, incoming=<optimized
>>> out>, user_data=0x240e820) at dbusimpl.c:1407
>>> :        new_message = 0x7fcb8c01ea30 [GDBusMessage]
>>> :        __PRETTY_FUNCTION__ = "bus_dbus_impl_connection_filter_cb"
>>> :        dbus = 0x240e820 [BusDBusImpl]
>>> :        connection = 0x7fcb8c002d80 [BusConnection]

Your problem is caused by the unref of the dbus connection.
It would depends on how you unreferred the network connection of ibus to know your problem.

> manually .but it really occurs more than 3 times .I will try to change a
> account to see whether will hit it .

Yes, it's good to compare the results. BTW, I'd ask a new account which can be created by 'useradd' command instead of the existent another account.
Comment 11 Mike Cao 2011-06-28 01:45:41 EDT
Use a new account to test ,can not reproduce .but let me introduce what happened with the original account.

steps:
1.start host with ibus
2.choose chinese pinyin as input method.
3.start empathy
4.open a chat windows,click Ibus->pinyin
(on the original account ,pinyin input method is listed on ibus ,every time click it ,ibus will crash
on the new created account ,pinyin input method is never listed on ibus when I use empathy.
Comment 12 fujiwara 2011-06-30 02:20:31 EDT
(In reply to comment #11)
> on the new created account ,pinyin input method is never listed on ibus when I
> use empathy.

I guess you log in the GNOME desktop with an English locale instead of Chinese locale so pinyin is not shown by default.
If you run 'ibus-setup' command you can add pinyin in the preloaded engine list.
After pinyin is added, you can restart ibus-daemon with right clicking on ibus panel icon and choosing "Restart" menu item, and then the pinyin will be listed on ibus with empathy.

If you add pinyin using ibus-setup and restart the ibus-daemon, are you able to see the ibus crash with the new account?
Comment 13 Mike Cao 2011-06-30 02:29:09 EDT
(In reply to comment #12)
> (In reply to comment #11)
> > on the new created account ,pinyin input method is never listed on ibus when I
> > use empathy.
> 
> I guess you log in the GNOME desktop with an English locale instead of Chinese
> locale so pinyin is not shown by default.
> If you run 'ibus-setup' command you can add pinyin in the preloaded engine
> list.
> After pinyin is added, you can restart ibus-daemon with right clicking on ibus
> panel icon and choosing "Restart" menu item, and then the pinyin will be listed
> on ibus with empathy.

Actually I did the steps you described above ald .
when I do empathy in the new account referring comment #11 ,pinyin always disappared on ibus ,when I use other apps on the same account ,eg :gedit ,vi, terminal ,pinyin is always listed on ibus.


> 
> If you add pinyin using ibus-setup and restart the ibus-daemon, are you able to
> see the ibus crash with the new account?
Comment 14 fujiwara 2011-06-30 03:04:09 EDT
Created attachment 510583 [details]
empathy for fujiwara

(In reply to comment #13)
> Actually I did the steps you described above ald .
> when I do empathy in the new account referring comment #11 ,pinyin always
> disappared on ibus ,when I use other apps on the same account ,eg :gedit ,vi,
> terminal ,pinyin is always listed on ibus.

Attached my result. I can use pinyin with empathy without any problems.

I guess you don't set ibus as the input method.
How about setting GTK_IM_MODULE=ibus for your application?

% env GTK_IM_MODULE=ibus empathy
Comment 15 Mike Cao 2011-06-30 03:30:30 EDT
(In reply to comment #14)
> Created attachment 510583 [details]
> empathy for fujiwara
> 
> (In reply to comment #13)
> > Actually I did the steps you described above ald .
> > when I do empathy in the new account referring comment #11 ,pinyin always
> > disappared on ibus ,when I use other apps on the same account ,eg :gedit ,vi,
> > terminal ,pinyin is always listed on ibus.
> 
> Attached my result. I can use pinyin with empathy without any problems.
> 
> I guess you don't set ibus as the input method.
> How about setting GTK_IM_MODULE=ibus for your application?
> 
> % env GTK_IM_MODULE=ibus empathy

actually I did it ald in bashrc

cat ~/.bashrc
export GTK_IM_MODULE=ibus 
export XMODIFIERS=@im=ibus
export QT_IM_MODULE=ibus

all the *other* applications could use chinese pinyin expect for empathy.

btw ,2 account both English Locale .the first account still can reproduce the issue ,every time use empathy ,click pinyin on status bar ,it show ibus crashed;
in the newly created account ,every time mouse focus on empathy ,ibus always show "no input Window" ,when the mouse focus on other applications such as terminal ,pinyin could be used properly.
Comment 16 fujiwara 2011-09-12 06:13:37 EDT
Do you still see your problem with the latest ibus + ibus-gnome3?
# yum install ibus ibus-gnome3
Comment 17 fujiwara 2011-09-28 21:23:05 EDT
If you see that problem with the latest ibus, please comment here.
Thanks.

Note You need to log in before you can comment on or make changes to this bug.